aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfuzzyray <fuzzyray@gentoo.org>2010-11-23 22:05:12 +0000
committerfuzzyray <fuzzyray@gentoo.org>2010-11-23 22:05:12 +0000
commit071d31bf34bde3a0ba70833c9f899cc4310e1a3a (patch)
tree7cc8178b9a87d0727b08679a781e225d3b1de45b
parentUpdate euse to look for /etc/portage/make.conf as well as /etc/make.conf. Bug... (diff)
downloadgentoolkit-071d31bf34bde3a0ba70833c9f899cc4310e1a3a.tar.gz
gentoolkit-071d31bf34bde3a0ba70833c9f899cc4310e1a3a.tar.bz2
gentoolkit-071d31bf34bde3a0ba70833c9f899cc4310e1a3a.zip
Revert previous changes to euse, changes will need to be more extensive
svn path=/trunk/gentoolkit/; revision=867
-rwxr-xr-xbin/euse21
1 files changed, 7 insertions, 14 deletions
diff --git a/bin/euse b/bin/euse
index eb636d5..3cd9127 100755
--- a/bin/euse
+++ b/bin/euse
@@ -9,20 +9,7 @@
PROGRAM_NAME=euse
VERSION="svn"
-error() {
- echo "ERROR: ${1}"
- set +f
- exit 1
-}
-
-# Portage now supports make.conf in /etc and /etc/portage
-if [ -r /etc/make.conf ]; then
- MAKE_CONF_PATH=/etc/make.conf
-elif [ -r /etc/portage/make.conf ]; then
- MAKE_CONF_PATH=/etc/portage/make.conf
-else
- error "make.conf file is not readable"
-fi
+MAKE_CONF_PATH=/etc/make.conf
MAKE_GLOBALS_PATH=/etc/make.globals
MAKE_PROFILE_PATH=/etc/make.profile
MAKE_CONF_BACKUP_PATH=/etc/make.conf.euse_backup
@@ -62,6 +49,12 @@ parse_arguments() {
done
}
+error() {
+ echo "ERROR: ${1}"
+ set +f
+ exit 1
+}
+
get_real_path() {
set -P
cd "$1"